//
//       Yasuharu Okamoto, 2023.03
//
data {
    int pop1[2];
    int pop2[2];
}
transformed data {
    int props[4];
    vector[4] a;
    for (i in 1:2) {
        props[i] = pop1[i];
        props[2+i] = pop2[i];
    }
    for (i in 1:4) {
        a[i] = 1.0;
    }
}
parameters {
    real<lower = 0.0, upper = 1.0> p0;
    real<lower = 0.0, upper = 1.0> p1;
    real<lower = 0.0, upper = 1.0> p2;
}
transformed parameters {
    simplex[4] theta;
    theta[1] = p0 * p1;
    theta[2] = p0 * (1 - p1);
    theta[3] = (1 - p0) * p2;
    theta[4] = (1 - p0) * (1 - p2);
}
model {
    p0 ~ uniform(0, 1);
    p1 ~ uniform(0, 1);
    p2 ~ uniform(0, 1);
    props ~ multinomial(theta);
}
generated quantities {
    real p1_p2;
    p1_p2 = p1 - p2;
}
